/* contact page style */

.fw-500 {
  font-weight: 500 !important;
}

.fw-600 {
  font-weight: 500 !important;
}

.top-banner-section {
  position: relative;
  overflow: hidden;
}

.top-banner-section .kt-row-column-wrap.kt-has-1-columns {
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.top-banner-section > .kt-row-layout-overlay {
    opacity: 1 !important;
    background: linear-gradient(180deg, rgb(25 25 25 / 16%) 0%, rgb(30, 58, 95) 100%) !important;
}


/*.top-banner-section::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 90%;
  pointer-events: none;
  z-index: 1;
background-image: -webkit-linear-gradient(top, rgba(30,58,95,0) 0%, rgba(30,58,95,1) 100%);
background-image: linear-gradient(to bottom, rgba(30,58,95,0) 0%, rgba(30,58,95,1) 100%);
  background-repeat: no-repeat;
  background-attachment: scroll;

}*/





#wpforms-106 {
  margin: 0;
}

#wpforms-106 .wpforms-field-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0 1.8rem;
}

#wpforms-106 .wpforms-field-container > :nth-last-child(1),
#wpforms-106 .wpforms-field-container > .message-field {
  grid-column: 1 / -1;
}

#wpforms-106 .wpforms-field-container label {
  font-size: 18px;
  color: #fff;
  font-weight: 400;
  margin-bottom: 1.4rem;
}

#wpforms-106 .wpforms-field-container input {
  font-size: 16px;
  height: 60px;
  border-radius: 10px;
}

#wpforms-106 .contact-form-checkbox-field {
  margin: 1rem 0 0.5rem;
}

#wpforms-106 .wpforms-field-checkbox label {
  color: #b3b3b3;
  padding-inline-start: 34px;
  margin-bottom: 0 !important;
}

#wpforms-106 .contact-form-checkbox-field input {
  height: fit-content !important;
}

#wpforms-106 .wpforms-field-container input[type="checkbox"]:before {
  border: none;
  box-shadow: none;
  background-color: #d9d9d9;
  border-radius: 5px;
  width: 25px;
  height: 25px;
  top: 2px !important;
}

#wpforms-106 .contact-form-checkbox-field input[type="checkbox"]:checked:after {
  width: 25px;
  top: calc(-1px + var(--wpforms-field-border-size, 1px));
  border-left: 4px solid #1e3a5f;
  border-bottom: 4px solid #1e3a5f;
}

#wpforms-submit-106 {
  width: 246px;
  height: 60px;
  font-size: 20px;
  border-radius: 10px;
  color: #000000;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}

#wpforms-submit-106:hover {
  color: #ffffff;
  background-color: #111111;
}

.contact-icon-section .round-icon-wrapper {
    width: 65px;
    height: 65px;
  background-color:#0084FF;
  line-height: 1;
  border-radius: 50%;
  align-items: center;
  justify-content: center;
}

.contact-icon-section .round-icon-wrapper img {
  max-width: 64%;
  vertical-align: middle;
}

.contact-icon-section h4 {
  font-weight: 500;
}

.contact-page-map iframe {
  border-radius: 20px;
}

.contact-page-accordion-container
  .kt-blocks-accordion-header.kt-accordion-panel-active {
  border-radius: 10px;
}

.contact-page-accordion-container .kt-blocks-accordion-header {
  cursor: pointer;
}

.contact-page-accordion-container .kt-blocks-accordion-icon-trigger {
  content: url("https://femerling-immobilien.shop-template.de/wp-content/uploads/2025/09/right-arrow.svg");
  display: inline-block !important;
  background: transparent !important;
  width: 18px;
  height: 18px;
  object-fit: contain;
  position: relative;
  transform: rotate(45deg);
  transform-origin: center;
  transition: transform 0.4s ease-in-out;
  filter: brightness(0) invert(1); /* force white */
}

.contact-page-accordion-container
  .kt-blocks-accordion-header.kt-accordion-panel-active
  .kt-blocks-accordion-icon-trigger {
  transform: rotate(-45deg);
}

@media only screen and (max-width: 767px) {
  #wpforms-106 .wpforms-field-container {
    grid-template-columns: 1fr;
  }

  #wpforms-106 .wpforms-field-container > .message-field,
  #wpforms-106 .wpforms-field-container > :nth-last-child(1) {
    grid-column: auto;
  }

  #wpforms-106
    .contact-form-checkbox-field
    input[type="checkbox"]:checked:after {
    top: calc(3px + var(--wpforms-field-border-size, 1px));
  }

  #wpforms-106 .wpforms-field-container label {
    margin-bottom: 1rem;
  }

  #wpforms-106 .wpforms-field-container label,
  .faq-section p {
    font-size: 16px !important;
  }

  .contact-page-accordion-container .kt-accordion-panel p {
    margin: 0;
  }

  .contact-icon-section .round-icon-wrapper {
    width: 70px;
    height: 70px;
  }

  #wpforms-106 .contact-form-checkbox-field {
    margin: 0rem 0 0.2rem;
  }
}

/* faq template css */

.faq-section .wp-block-kadence-advancedbtn .kb-button {
  font-size: 20px !important;
}

/* about page styling */

.about-location-icon-wrapper img {
  vertical-align: text-top;
}

.about-specifications-inner-section .kt-row-column-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
}

.about-page-tab-section .kt-tabs-title-list .kt-tab-title {
  border-bottom: 1px solid #7a7a7a !important;
}

.about-page-tab-section .kt-tabs-content-wrap {
  display: flex;
  align-items: flex-start;
  margin-top: 5.4rem;
}

.about-page-tab-section .kt-tabs-id619_14810c-2e {
  align-items: flex-start;
}

.about-page-tab-section {
  position: relative;
  min-height: 200px;
}

.about-page-tab-section .kt-tab-title::before {
  content: "▶";
  display: inline-block;
  margin-right: 0;
  font-size: 1rem;
  color: #d9d9d9;
  opacity: 0;
  transform: translateX(-10px);
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.about-page-tab-section .kt-tab-title-active .kt-tab-title::before {
  opacity: 1;
  margin-right: 0.9rem;
  transform: translateX(0);
}

.about-page-tab-section .kt-tab-inner-content {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 0.8s ease, visibility 0.4s linear 0.6s;
  display: block !important;
  z-index: 1;
}

.about-page-tab-section .kt-tab-inner-content[aria-hidden="false"] {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transition-delay: 0.4s;
  position: relative;
  z-index: 2;
}

@media only screen and (max-width: 1024px) {
  .about-page-tab-section .kt-tabs-id619_14810c-2e {
    flex-direction: column;
  }
}

@media screen and (min-width: 1024px) {
  .about-page-tab-section .kt-title-item {
    margin-right: 18rem !important;
  }
}
